set ONE_MEG 2048
set ONE_GIG [expr 1024 * $ONE_MEG]

set FS_MIN_SIZE $ONE_MEG
set ROOT_MIN_SIZE 20
set ROOT_PARTITION_SIZE [expr 32 * $ONE_MEG]
set PHYSICAL_MEMORY 32
set SWAP_PARTITION_SIZE [expr 16 * $ONE_MEG + $PHYSICAL_MEMORY * $ONE_MEG * 2]
set VAR_PARTITION_MIN_SIZE [expr 30 * $ONE_MEG]
set USR_PARTITION_MIN_SIZE [expr 80 * $ONE_MEG]

global hui
global main_window

proc make_main_window {} {
    global hui
    global main_window

    set main_window [$hui window "main_window" "FreeBSD Disk Slice Editor" "14 0" "50 20"]

    $main_window show
}


set hui [Hui::open "auto"]

make_main_window

source diskwizard.tcl
diskwizard

$hui run

