#include <sys/types.h>
#include <sys/signal.h>
#include <sys/fcntl.h>
#include <stdio.h>

static void
sighandler(int sig)
{
	printf("Sig caught, not good\n");
	exit(1);
}

int
main(int argc, char **argv)
{
	/* setup when run as init */
	if (getpid() == 1) {
		signal(SIGBUS, sighandler);
		signal(SIGSEGV, sighandler);
	}
	signal(SIGPIPE, SIG_IGN);

	systemInitialize(argc, argv);

	/* Initialize bootup (USB, Floppy) */
	/* Mount MFS */
	/* If floppy, get second floppy with libs */

	sleep(120);
#if 0
	get_interpreter();
	run_interpreter(); /* Does never return */
#endif
	return(0); /* Unreached */
}
