#!/usr/bin/tclh

if [info exists env(H_SHARED_LIB_VERSION)] {
    set H_SHARED_LIB_VERSION $env(H_SHARED_LIB_VERSION)
} else {
    set H_SHARED_LIB_VERSION "0"
}

if [info exists env(H_SHARED_LIB_LOCATION)] {
    set H_SHARED_LIB_LOCATION $env(H_SHARED_LIB_LOCATION)
} else {
    set H_SHARED_LIB_LOCATION "/usr/lib"
}

if {! [info exists H_libhtcl]} {
    load $H_SHARED_LIB_LOCATION/libh.so.$H_SHARED_LIB_VERSION
    load $H_SHARED_LIB_LOCATION/libhtcl.so.$H_SHARED_LIB_VERSION
}
if {! [info exists H_libhfile]} {
    load $H_SHARED_LIB_LOCATION/libhfile.so.$H_SHARED_LIB_VERSION
    load $H_SHARED_LIB_LOCATION/libhtclfile.so.$H_SHARED_LIB_VERSION
}
if {! [info exists H_libhdatabase]} {
    load $H_SHARED_LIB_LOCATION/libhdatabase.so.$H_SHARED_LIB_VERSION
}
if {! [info exists H_libhsysinstall]} {
    load $H_SHARED_LIB_LOCATION/libhsysinstall.so.$H_SHARED_LIB_VERSION
    load $H_SHARED_LIB_LOCATION/libhtclsysinstall.so.$H_SHARED_LIB_VERSION
}

# ----------------------------------------------------------------------

set db [Database::import /tmp/sysinstall2work/db "-"]
$db sync
H::delete $db

exit 0

# ----------------------------------------------------------------------
