#include <sys/types.h>
#include <sys/signal.h>
#include <sys/fcntl.h>
#include <stdio.h>

static void
sighandler(int sig)
{
	printf("Sig caught, not good\n");
	exit(10);
}

int
main(int argc, char **argv)
{
	signal(SIGBUS, sighandler);
	signal(SIGSEGV, sighandler);
	signal(SIGPIPE, SIG_IGN);

	systemInitialize(argc, argv);

	run_interpreter();	/* Does never return */

	return (0);		/* Unreached */
}
