proc instmethod {} {
    global main_window
    global hui

    $main_window erase

    set listbox [$main_window listBox "instmethods_listbox" {} -1 "Available installation methods"]
    
    set back_button [$main_window button "back_button" "<- &Back" {"" ""} "normal" "15 17"]
    
    set next_button [$main_window button "inst_button" "&Next ->" {inst_next_callback ""}]
    set quit_button [$main_window button "uninst_button" "&Quit" {quit_callback ""}]
    
    $listbox resize "48 17"
    $quit_button resize "11 2"
    $next_button move "26 17"
    $quit_button move "37 17"
    $next_button resize "11 2"
    $back_button resize "11 2"
    $back_button disable

    $listbox add 0 "FTP Installation"
    $listbox add 0 "CD-ROM Installation"
}

proc inst_next_callback {hui button user_data} {
    set listbox [$hui byName "instmethods_listbox"]
    
    set which [$listbox select]

    switch -exact $which {
	0 {
	    source cdrominstall.tcl
	}
	1 {
	    source ftpinstall.tcl
	}
    }

    global functionslist
    global functionptr

    # XXX delete everything from $funcionptr, because maybe
    # we have chosen a different installation method before!

    initinstall

    lappend functionslist continue_after_initinstall

    incr functionptr

    eval [lindex $functionslist $functionptr]
}

proc continue_after_initinstall {} {
    set choosefile [setupfetch "scripts/choosedistrib.tcl"]
    source $choosefile
    choosedistrib
}

